API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class SearchableDataGrid

Package | ch.unil.cbg.ExpressionView.view.components
Class | public class SearchableDataGrid
Inheritance | SearchableDataGrid mx.containers.Canvas
Implements | flash.events.IEventDispatcher

Public Properties

| Property | Defined by
--- | --- | ---
|  | columns : Array | SearchableDataGrid
|  | dataProvider : Object [write-only] | SearchableDataGrid
|  | selectedIndices : Array [write-only] | SearchableDataGrid

Protected Properties

| Property | Defined by
--- | --- | ---
|  | searchField : TextInput | SearchableDataGrid

Public Methods

| Method | Defined by
--- | --- | ---
|  | SearchableDataGrid() | SearchableDataGrid

Protected Methods

| Method | Defined by
--- | --- | ---
|  | createChildren():void | SearchableDataGrid
|  | updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void | SearchableDataGrid

Events

| Event | Summary | Defined by
--- | --- | --- | ---
|  | ITEM_CLICK |  | SearchableDataGrid
|  | ITEM_DOUBLE_CLICK |  | SearchableDataGrid

Property detail

columns | property

`columns:Array` [read-write]Implementation
`public function get columns():Array`
`public function set columns(value:Array):void`

dataProvider | property |

`dataProvider:Object` [write-only]Implementation
`public function set dataProvider(value:Object):void`

searchField | property |

`protected var searchField:TextInput`

selectedIndices | property |

`selectedIndices:Array` [write-only]Implementation
`public function set selectedIndices(value:Array):void`
Constructor detail

SearchableDataGrid | () | constructor

`public function SearchableDataGrid()`
Method detail

createChildren | () | method

`protected override function createChildren():void`

updateDisplayList | () | method |

`protected override function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void` Parameters

| `unscaledWidth:Number`
| `unscaledHeight:Number`

Event detail

ITEM_CLICK | event

Event object type: `ch.unil.cbg.ExpressionView.events.SearchableDataGridSelectionEvent`

ITEM_DOUBLE_CLICK | event |

Event object type: `ch.unil.cbg.ExpressionView.events.SearchableDataGridSelectionEvent`